com.rscja.team.qcom.uhfhandler

## Class UHFUrAxDataHandle

- java.lang.Object
- - com.rscja.team.qcom.uhfhandler.UHFDataHandleBase
  - - com.rscja.team.qcom.uhfhandler.UHFUrAxDataHandle

-     public class UHFUrAxDataHandle
      extends UHFDataHandleBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

      `UHFDataHandleBase.CMDInfo`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

      `isStop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFUrAxDataHandle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCmdList(UHFDataHandleBase.CMDInfo info)`
    `void` | `cleanAllData()`
    `UHFDataHandleBase.CMDInfo` | `getGPIOCmd()`
    `boolean` | `isBuildFullData(UHFDataHandleBase.CMDInfo cmdInfo)`

    - ### Methods inherited from class com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

      `cleanCmd, cleanOldCmd, cleanTagCmd, getCmdList, getCmdList, getLastBarcodeCmd, getLastCmd, getLastCmd, getTagCmd, parseData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFUrAxDataHandle

          public UHFUrAxDataHandle()

  - ### Method Detail

    - #### cleanAllData

          public void cleanAllData()

      Overrides:
        `cleanAllData` in class `UHFDataHandleBase`

    - #### isBuildFullData

          public boolean isBuildFullData(UHFDataHandleBase.CMDInfo cmdInfo)

      Specified by:
        `isBuildFullData` in class `UHFDataHandleBase`

    - #### getGPIOCmd

          public UHFDataHandleBase.CMDInfo getGPIOCmd()

    - #### addCmdList

          public void addCmdList(UHFDataHandleBase.CMDInfo info)

      Specified by:
        `addCmdList` in class `UHFDataHandleBase`